- Qt 5.15
- Qt Network
- C++ Classes
- QDnsDomainNameRecord
- Qt 5.15.19 Reference Documentation

# QDnsDomainNameRecord Class

The QDnsDomainNameRecord class stores information about a domain name record. More...

Header: | #include <QDnsDomainNameRecord>
qmake: | QT += network

- List of all members, including inherited members

## Public Functions

| QDnsDomainNameRecord(const QDnsDomainNameRecord &other)
| QDnsDomainNameRecord()
QDnsDomainNameRecord & | operator=(const QDnsDomainNameRecord &other)
| ~QDnsDomainNameRecord()
QString | name() const
void | swap(QDnsDomainNameRecord &other)
quint32 | timeToLive() const
QString | value() const

## Detailed Description

When performing a name server lookup, zero or more records will be returned. Each record is represented by a QDnsDomainNameRecord instance.

See also QDnsLookup.

## Member Function Documentation

### QDnsDomainNameRecord::QDnsDomainNameRecord(const QDnsDomainNameRecord &other)

Constructs a copy of other.

### QDnsDomainNameRecord::QDnsDomainNameRecord()

Constructs an empty domain name record object.

### QDnsDomainNameRecord &QDnsDomainNameRecord::operator=(const QDnsDomainNameRecord &other)

Assigns the data of the other object to this record object, and returns a reference to it.

### QDnsDomainNameRecord::~QDnsDomainNameRecord()

Destroys a domain name record.

### QString QDnsDomainNameRecord::name() const

Returns the name for this record.

### void QDnsDomainNameRecord::swap(QDnsDomainNameRecord &other)

Swaps this domain-name record instance with other. This function is very fast and never fails.

### quint32 QDnsDomainNameRecord::timeToLive() const

Returns the duration in seconds for which this record is valid.

### QString QDnsDomainNameRecord::value() const

Returns the value for this domain name record.